package com.jkcredit.traffic.record.config;

import org.apache.spark.SparkConf;
import org.apache.spark.sql.SparkSession;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.stereotype.Component;

/**
 * @author xusonglin
 * @version V1.0
 **/
@Configuration
public class SparkSessionConfig {
    private static String APP_NAME ="DataExtract";

    @Bean
    public SparkSession getSparkSession() {
        SparkConf sparkConf = new SparkConf();
        sparkConf.set("spark.driver.allowMultipleContexts", "true");
        sparkConf.set("spark.eventLog.enabled", "true");
        sparkConf.set("spark.serializer", "org.apache.spark.serializer.KryoSerializer");
        sparkConf.set("spark.hadoop.validateOutputSpecs", "false");
        sparkConf.set("hive.mapred.supports.subdirectories", "true");
        sparkConf.set("mapreduce.input.fileinputformat.input.dir.recursive", "true");

        return SparkSession.builder()
                .appName(APP_NAME)
                .master("local")
                .config(sparkConf)
                .getOrCreate();
    }
}
