package com.jkcredit.traffic.record.util;

import lombok.extern.slf4j.Slf4j;

import java.io.*;
import java.util.ArrayList;
import java.util.List;

/**
 * @author xusonglin
 * @version V1.0
 **/
@Slf4j
public class CsvUtil {
    public static void writeCsv(List<String> list, String filePath){
        try {
            Long start = System.currentTimeMillis();
            File file=new File(filePath);
            FileOutputStream fos=new FileOutputStream(file,true);
            OutputStreamWriter osw=new OutputStreamWriter(fos, "UTF-8");
            BufferedWriter bw=new BufferedWriter(osw);
            for (String line : list) {
                bw.write(line+"\n");
            }
            //注意关闭的先后顺序，先打开的后关闭，后打开的先关闭
            bw.close();
            osw.close();
            fos.close();
            long end = System.currentTimeMillis();
            System.out.println("完成"+filePath+"入库，耗时：" + (end - start) +" ms");
        } catch (Exception e){
            e.printStackTrace();
            log.error("writeCsv:", e);
        }
    }

    public static List<String> readCsv(String filepath) {
        File csv = new File(filepath); // CSV文件路径
        csv.setReadable(true);//设置可读
        csv.setWritable(true);//设置可写
        BufferedReader br = null;
        try {
            br = new BufferedReader(new FileReader(csv));
        } catch (FileNotFoundException e) {
            e.printStackTrace();
        }
        String line = "";
        String everyLine = "";
        ArrayList<String> allString = new ArrayList<>();
        try {
            while ((line = br.readLine()) != null) // 读取到的内容给line变量
            {
                everyLine = line;
                System.out.println(everyLine);
                allString.add(everyLine);
            }
            System.out.println("csv表格中所有行数：" + allString.size());
        } catch (IOException e) {
            e.printStackTrace();
        }
        return allString;
    }
}
